Bug 15596 - inserting any PCMCIA adapter locks laptop
inserting any PCMCIA adapter locks laptop
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-08-06 23:52 EDT by John Cagle
Modified: 2008-08-01 12:22 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:38:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Error Messages when booting and loading 3c59x -- card already inserted. (4.44 KB, text/plain)
2000-08-07 16:07 EDT, John Cagle
no flags Details

  None (edit)
Description John Cagle 2000-08-06 23:52:07 EDT
System locks up HARD whenever I insert the 3Com Megahertz 10/100 LAN CardBus PC Card.
PC Card is the Model 3CCFE575BT - should use the 3c59x module.
This even happens when cardmgr is not running.  The card is not defective, it works fine
with RH 6.2 and W2K.  Any idea how to debug this problem?

System: Compaq Armada M700 Laptop

00:00.0 Host bridge: Intel Corporation 440BX/ZX - 82443BX/ZX Host bridge (rev 03)
	Subsystem: Compaq Computer Corporation: Unknown device b110
	Flags: bus master, medium devsel, latency 64
	Memory at 50000000 (32-bit, prefetchable)
	Capabilities: [a0] AGP version 1.0

00:01.0 PCI bridge: Intel Corporation 440BX/ZX - 82443BX/ZX AGP bridge (rev 03) (prog-if 00 [Normal decode])
	Flags: 66Mhz, medium devsel
	Bus: primary=00, secondary=01, subordinate=01, sec-latency=0
	I/O behind bridge: 00001000-00001fff
	Memory behind bridge: 40000000-410fffff

00:04.0 CardBus bridge: Texas Instruments PCI1450 (rev 03)
	Subsystem: Compaq Computer Corporation: Unknown device b113
	Flags: bus master, medium devsel, latency 66
	Memory at 41180000 (32-bit, non-prefetchable)
	Bus: primary=00, secondary=02, subordinate=02, sec-latency=176
	I/O window 0: 00000000-00000003
	I/O window 1: 00000000-00000003
	16-bit legacy interface ports at 0001

00:04.1 CardBus bridge: Texas Instruments PCI1450 (rev 03)
	Subsystem: Compaq Computer Corporation: Unknown device b113
	Flags: bus master, medium devsel, latency 66
	Memory at 41200000 (32-bit, non-prefetchable)
	Bus: primary=00, secondary=03, subordinate=03, sec-latency=176
	I/O window 0: 00000000-00000003
	I/O window 1: 00000000-00000003
	16-bit legacy interface ports at 0001

00:07.0 Bridge: Intel Corporation 82371AB PIIX4 ISA (rev 02)
	Flags: bus master, medium devsel, latency 0

00:07.1 IDE interface: Intel Corporation 82371AB PIIX4 IDE (rev 01) (prog-if 80 [Master])
	Flags: bus master, medium devsel, latency 64
	I/O ports at 2420

00:07.2 USB Controller: Intel Corporation 82371AB PIIX4 USB (rev 01) (prog-if 00 [UHCI])
	Flags: medium devsel, IRQ 11
	I/O ports at 2400

00:07.3 Bridge: Intel Corporation 82371AB PIIX4 ACPI (rev 02)
	Flags: medium devsel

00:08.0 Multimedia audio controller: ESS Technology ES1978 Maestro 2E (rev 10)
	Subsystem: Compaq Computer Corporation: Unknown device b112
	Flags: bus master, medium devsel, latency 64, IRQ 11
	I/O ports at 2000
	Capabilities: [c0] Power Management version 2

00:09.0 Communication controller: Lucent Microelectronics WinModem 56k (rev 01)
	Subsystem: Compaq Computer Corporation 56k V.90 Modem
	Flags: medium devsel, IRQ 11
	Memory at 41100000 (32-bit, non-prefetchable)
	I/O ports at 2430
	I/O ports at 2800
	Capabilities: [f8] Power Management version 2

01:00.0 VGA compatible controller: ATI Technologies Inc Rage Mobility P/M AGP 2x (rev 64) (prog-if 00 [VGA])
	Subsystem: Compaq Computer Corporation: Unknown device b111
	Flags: bus master, stepping, medium devsel, latency 66, IRQ 11
	Memory at 40000000 (32-bit, non-prefetchable)
	I/O ports at 1000
	Memory at 41000000 (32-bit, non-prefetchable)
	Capabilities: [50] AGP version 1.0
	Capabilities: [5c] Power Management version 1
Comment 1 John Cagle 2000-08-07 16:07:19 EDT
Created attachment 2218 [details]
Error Messages when booting and loading 3c59x -- card already inserted.
Comment 2 Alan Cox 2000-08-07 20:26:10 EDT
The 3c59x module does not handle 3c59x equivalent cardbus devices in 2.2, only
in 2.4 You should instead be using  3c575_cb etc

Comment 3 John Cagle 2000-08-08 18:06:18 EDT
It appears that ANY PCMCIA adapter when inserted will lock up this laptop.
Could there be a problem with the cardbus controller initialization?
Comment 4 John Cagle 2000-08-10 03:36:49 EDT
changing summary description.
Comment 5 Alan Cox 2000-08-15 09:48:28 EDT
Please try the RC1 kernel. That ought to help. If not then its time to panic
Comment 6 John Cagle 2000-08-17 11:32:17 EDT
With RC1, the 3Com Cardbus NIC works fine as long as it's inserted during bootup.
However, it seems that if I ADD any new card (for instance a PCMCIA modem)
the laptop locks up hard.
Comment 7 John Cagle 2000-10-10 09:57:26 EDT
This is still a problem.  I have reproduced this on another brand-new M700
laptop with Guinness.
Any idea how to debug this problem?
Comment 8 Alan Cox 2002-12-15 22:31:34 EST
If this still occurs in 8.0 let me know. Im assuming its long deal but if not
I'll take good odds its a broken irq routing table in the bios
Comment 9 Bugzilla owner 2004-09-30 11:38:49 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.